Bug 831048 - [abrt] accerciser-3.4.1-1.fc17: main_window.py:110:_populateUI:AttributeError: 'VPaned' object has no attribute 'set_data'
[abrt] accerciser-3.4.1-1.fc17: main_window.py:110:_populateUI:AttributeError...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: accerciser (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
abrt_hash:a4e9ab98b736619c2a9b7719b8a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 01:23 EDT by Vadim Rutkovsky
Modified: 2015-02-17 09:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:17:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadim Rutkovsky 2012-06-12 01:23:04 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/bin/accerciser
comment:        Crashes on startup
event_log:      2012-06-12-08:22:41> Smolt profile successfully saved
executable:     /usr/bin/accerciser
kernel:         3.5.0-0.rc2.git0.1.fc18.i686
time:           Tue 12 Jun 2012 08:22:09 AM FET
uid:            1000
username:       vadik

backtrace:
:main_window.py:110:_populateUI:AttributeError: 'VPaned' object has no attribute 'set_data'
:
:Traceback (most recent call last):
:  File "/usr/bin/accerciser", line 54, in <module>
:    accerciser.main()
:  File "/usr/lib/python2.7/site-packages/accerciser/__init__.py", line 35, in main
:    main = Main()
:  File "/usr/lib/python2.7/site-packages/accerciser/accerciser.py", line 62, in __init__
:    self.window = AccerciserMainWindow(self.node)
:  File "/usr/lib/python2.7/site-packages/accerciser/main_window.py", line 51, in __init__
:    self._populateUI(node)
:  File "/usr/lib/python2.7/site-packages/accerciser/main_window.py", line 110, in _populateUI
:    paned.set_data('last_position', paned.get_position())
:AttributeError: 'VPaned' object has no attribute 'set_data'
:
:Local variables in innermost frame:
:node: <Node object at 0x96acdc4 (accerciser+node+Node at 0x96b6ec0)>
:menu_bar: <MenuBar object at 0x9815c84 (GtkMenuBar at 0x9850010)>
:merge_id: 6L
:self: <AccerciserMainWindow object at 0x981575c (accerciser+main_window+AccerciserMainWindow at 0x95b5168)>
:sw: <ScrolledWindow object at 0x981f144 (GtkScrolledWindow at 0x9866050)>
:action_name: 'RefreshCurrent'
:paned_position: 350
:paned: <VPaned object at 0x9815d4c (GtkVPaned at 0x985a8e8)>
:action: <Action object at 0x9823374 (GtkAction at 0x9876e28)>
:main_vbox: <VBox object at 0x9815b1c (GtkVBox at 0xb3e05680)>

smolt_data:
:
:
:General
:=================================
:UUID: a556ad30-b307-44ff-8d66-137add9d28fa
:OS: Fedora release 18 (Rawhide)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 4389.23
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Celeron(R) CPU          900  @ 2.20GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 1
:CPU Speed: 2194
:System Memory: 2960
:System Swap: 5720
:Vendor: Hewlett-Packard
:System:  F.08
:Form factor: Notebook
:Kernel: 3.5.0-0.rc2.git0.1.fc18.i686
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:4156:5414) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(4332:33078:4156:5414) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10537:4156:5414) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4156:5414) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:10564:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(5348:17173:4156:5384) pci, None, NETWORK, BCM4312 802.11b/g LP-PHY
:(32902:10549:4156:5414) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9288:4156:5414) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10553:4156:5414) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4156:5414) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4156:5414) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4156:5414) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10818:4156:5414) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4156:5414) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4156:5414) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4156:5414) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10548:4156:5414) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10570:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(32902:10552:4156:5414) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda6 / ext4 4096 4096 1836527 308593 290188 466944 227284 227284
:
Comment 1 Fedora End Of Life 2013-04-03 11:32:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora End Of Life 2015-01-09 12:11:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 09:17:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.